Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.joone.engine
Class BiasedLinearLayer

    java.lang.Object
      org.joone.engine.Layer
          org.joone.engine.SimpleLayer
              org.joone.engine.BiasedLinearLayer

All Implemented Interfaces:
  java.io.Serializable, java.lang.Runnable, Learnable, LearnableLayer, NeuralLayer, Inspectable

    public class BiasedLinearLayer

extends SimpleLayer
implements LearnableLayer

This layer consists of linear neurons, i.e. neurons that sum up their inputs (actually this is done by the (full) synapse in Joone) along with their biases. In the learning process the biases are adjusted in an attempt to output a value closer to the desired output. This layer differs from LinearLayer in two ways: - This layer uses biases. These biases can/will also be adjusted in the learning process. - It has no scalar beta parameter.

Author:
  Boris Jansen
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.joone.engine.Layer
`bias, gradientInps, gradientOuts, inps, inputPatternListeners, learnable, learning, m_batch, monitor, myLearner, outputPatternListeners, outs, running, step, STOP_FLAG`

Constructor Summary
`BiasedLinearLayer()` Creates a new instance of BiasedLinearLayer
`BiasedLinearLayer(java.lang.String anElemName)` Creates a new instance of BiasedLinearLayer.

Method Summary
`void` | `backward(double[] pattern)` Reverse transfer function of the component.
`void` | `forward(double[] pattern)` Transfer function to recall a result on a trained net
`Learner` | `getLearner()` Deprecated. - Used only for backward compatibility

Methods inherited from class org.joone.engine.SimpleLayer
`getLearningRate, getLrate, getMomentum, setDimensions, setLrate, setMomentum, setMonitor`

Methods inherited from class org.joone.engine.Layer
`addInputSynapse, addNoise, addOutputSynapse, adjustSizeToFwdPattern, adjustSizeToRevPattern, check, checkInputEnabled, checkInputs, checkOutputs, copyInto, finalize, fireFwdGet, fireFwdPut, fireRevGet, fireRevPut, fwdRun, getAllInputs, getAllOutputs, getBias, getDimension, getLastOutputs, getLayerName, getMonitor, getRows, getThreadMonitor, hasStepCounter, init, initLearner, InspectableTitle, Inspections, isInputLayer, isOutputLayer, isRunning, join, randomize, removeAllInputs, removeAllOutputs, removeInputSynapse, removeListener, removeOutputSynapse, resetInputListeners, revRun, run, setAllInputs, setAllOutputs, setBias, setConnDimensions, setInputDimension, setInputSynapses, setLayerName, setOutputDimension, setOutputSynapses, setRows, start, stop, sumBackInput, sumInput, toString`

Methods inherited from class java.lang.Object
`clone, equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.joone.engine.Learnable
`getMonitor, initLearner`

Methods inherited from interface org.joone.engine.NeuralLayer
`addInputSynapse, addNoise, addOutputSynapse, check, copyInto, getAllInputs, getAllOutputs, getBias, getLayerName, getMonitor, getRows, isRunning, removeAllInputs, removeAllOutputs, removeInputSynapse, removeOutputSynapse, setAllInputs, setAllOutputs, setBias, setLayerName, setMonitor, setRows, start`

Constructor Detail

### BiasedLinearLayer

    public BiasedLinearLayer()

  Creates a new instance of BiasedLinearLayer

### BiasedLinearLayer

    public BiasedLinearLayer(java.lang.String anElemName)

  Creates a new instance of BiasedLinearLayer.

  Parameters:
    `The` - name of the layer.

Method Detail

### backward

    public void backward(double[] pattern)

  Description copied from class: `Layer`
  Reverse transfer function of the component.

  Overrides:
    `backward` in class `SimpleLayer`
  Parameters:
    `pattern` - input pattern on which to apply the transfer function

### forward

    public void forward(double[] pattern)

  Description copied from class: `Layer`
  Transfer function to recall a result on a trained net

  Specified by:
    `forward` in class `Layer`
  Parameters:
    `pattern` - input pattern to which to apply the rtransfer function

### getLearner

    public Learner getLearner()

  Deprecated. - Used only for backward compatibility

  Description copied from class: `Layer`
  Returns the appropriate Learner object for this class depending on the Monitor.learningMode property value

  Specified by:
    `getLearner` in interface `Learnable`
  Overrides:
    `getLearner` in class `Layer`
  Returns:
    the Learner object if applicable, otherwise null
  See Also:
    `Learnable.getLearner()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit Feedback to pmarrone@users.sourceforge.net